mergeArray {codelink} | R Documentation

## Merge Codelink Bioarrays Data

### Description

Merge data in a Codelink Object corresponding to same samples. Need a vector indicating the classes and an optional vector indicating the labels of the mer- ged samples.

### Usage

      mergeArray(object, class, names=NULL, method="mean",
                 log.it=FALSE, merge.snr=TRUE)

### Arguments

`object` | an object of class "Codelink".
`class` | a numeric vector indicating the classes.
`names` | an optional character vector indicating labels for each class.
`method` | the method used to summarize. Currently only "mean" supported.
`log.it` | logical; a logical indicating if log2 values should be returned.
`merge.snr` | logical; a logical indicating if SNR values should be merged.

### Value

An object of class "Codelink".

### Author(s)

Diego Diez

### Examples

    ## Not run:
            data(codelink.example)
            codelink.example <- bkgdCorrect(codelink.example)
            codelink.example <- normalize(codelink.example, log.it = FALSE)
            codelink.example <- mergeArray(codelink.example, class = c(1,1),
                                            names = "SAMPLE", log.it = TRUE)
    ## End(Not run)

[Package codelink version 1.12.1 Index]